gamestate = require "libs.hump.gamestate"
Class = require "libs.hump.class"

function love.load()

	
	--HOLDS ALL FILE PATHS FOR ALL THE SCENES
	global_register_for_scenes = {"scenes.scene_1.scene",
								  "scenes.scene_2.scene",
								  "scenes.scene_3.scene",
								  "scenes.scene_4.scene",
								  "scenes.scene_5.scene",
								  "scenes.scene_6.scene",
								  "scenes.scene_7.scene",
								  "scenes.scene_8.scene",
								  "scenes.scene_9.scene",}
	--THE INDEX FOR SCENES
	global_scene_index = 1

	-- GAMESTATE INITIALISATION
	-- NEEDED FOR HUMP GAMESTATE TO WORK
	gamestate.registerEvents{'draw', 'update', 'quit'}

	-- CHANGES TO first Scene
	gamestate.switch(require(global_register_for_scenes[global_scene_index]))
end

function love.update()

end

function love.draw()

end

--IRRELEVANT FOR MEMORY PURPOSE

function love.keyreleased(key)
	--QUIT ON ESCAPE 
   if key == "escape" then
      love.event.quit()
   end
   -- PRESS N/right/D TO GET TO NEXT ONE
   if key == "n" or key == "right" or key == "d" then 
	global_scene_index = global_scene_index + 1
	if global_scene_index > #global_register_for_scenes then global_scene_index = 1 end
	gamestate.switch(require(global_register_for_scenes[global_scene_index]))
   end
end
